pydo.cdn.update_endpoints()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.cdn.update_endpoints(
cdn_id="19f06b6a-3ace-4315-b086-499a0e521b76",
body={
"ttl": 3600,
"certificate_id": "892071a0-bb95-49bc-8021-3afd67a210bf",
"custom_domain": "static.example.com",
},
)Description
To update the TTL, certificate ID, or the FQDN of the custom subdomain for
an existing CDN endpoint, send a PUT request to
/v2/cdn/endpoints/{cdn_id}.
Parameters
cdn_idstring requiredA unique identifier for a CDN endpoint.
ttlinteger optionalThe amount of time the content is cached by the CDN's edge servers in seconds. TTL must be one of 60, 600, 3600, 86400, or 604800. Defaults to 3600 (one hour) when excluded.
certificate_idstring optionalExample:
892071a0-bb95-49bc-8021-3afd67a210bfThe ID of a DigitalOcean managed TLS certificate used for SSL when a custom subdomain is provided.
custom_domainstring optionalExample:
static.example.comThe fully qualified domain name (FQDN) of the custom subdomain used with the CDN endpoint.
Request Sample
Response Example
More Information
See /v2/cdn/endpoints/{cdn_id} in the API reference for additional detail on responses, headers, parameters, and more.